<template>
  <Suspense @pending="showLoading" @resolve="hideLoading">
    <router-view />
  </Suspense>
</template>

<script setup lang="ts">
import { onErrorCaptured } from 'vue'
import { useQuasar } from 'quasar'

const $q = useQuasar()

onErrorCaptured((err) => {
  $q.notify({ type: 'negative', message: err.message })
})
</script>
